Bug 15410 - WOFF support
Summary: WOFF support
Status: RESOLVED FIXED
Alias: None
Product: SVG
Classification: Unclassified
Component: Fonts (show other bugs)
Version: SVG 2.0
Hardware: PC All
: P2 major
Target Milestone: Test Suite
Assignee: Doug Schepers
QA Contact: SVG Public List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-04 01:45 UTC by cara0ke
Modified: 2012-01-06 15:58 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cara0ke 2012-01-04 01:45:25 UTC
Web Open Font Format (WOFF) 1.0 should be included in the requirements for SVG 2.0. For example it would be a great benefit for the Wikipedia community which uses SVGs for non-photo-graphics. Currently browsers render the SVG with the fall-back font, because almost always, the "open-source" font is not installed on the client PC.

WOFF 1.0 is a Candidate Recommendation since August 04, 2011.

W3C states that "Given the increasing interest in WOFF from browser implementors, tool creators and type foundries is expected that WOFF will soon serve as that single, interoperable format and that other implementors will add support over time." (http://www.w3.org/Submission/2010/03/Comment/)
Comment 1 Doug Schepers 2012-01-04 05:36:37 UTC
The intent of the SVG WG is definitely to include WOFF support; we have discussed this informally several times.  We believe this will be satisfied by our CSS support, but it's good to make it explicit.  We will include tests in our test suite to ensure interoperability, as well.

I have included this in our SVG2 Requirements wiki, just to make the intent clear and formal:

http://www.w3.org/Graphics/SVG/WG/wiki/SVG2_Requirements_Input#WOFF_Support

(Note that WOFF is already supported in SVG in most, if not all, modern browsers, but better safe than sorry!)
Comment 2 Chris Lilley 2012-01-06 15:32:55 UTC
Correction - we have not just 'discussed this informally'. The SVG WG resolved to mandate WOFF support for SVG2 on 1 March 2011 at the Aukland face to face meeting.

The minutes show:

RESOLUTION: We will mandate WOFF support in SVG 2.

http://www.w3.org/2011/03/01-svg-minutes.html#item03

I have also added that link to the wiki (where the resolution was indeed missing).
Comment 3 Doug Schepers 2012-01-06 15:58:35 UTC
(In reply to comment #2)
> Correction - we have not just 'discussed this informally'. The SVG WG resolved
> to mandate WOFF support for SVG2 on 1 March 2011 at the Aukland face to face
> meeting.

Great! I thought we had, but I couldn't find the right minutes, and it wasn't in the SVG2 Requirements page.
 

> I have also added that link to the wiki (where the resolution was indeed
> missing).

Excellent, thanks.